#include <pygobject.h>
#include <pycairo/pycairo.h>

Pycairo_CAPI_t *Pycairo_CAPI;

void pymemphis_register_classes (PyObject *d);
void pymemphis_add_constants (PyObject *module, const gchar *prefix);
extern PyMethodDef pymemphis_functions[];

DL_EXPORT (void)
init_memphis (void)
{
  PyObject *m, *d;

  init_pygobject ();

  Pycairo_IMPORT;

  m = Py_InitModule ("_memphis", pymemphis_functions);
  d = PyModule_GetDict (m);

  pymemphis_register_classes (d);
  // wait until libmemphis have both enum and flags properly declared 
  //pymemphis_add_constants (m, "MEMPHIS_");

  if (PyErr_Occurred ())
    Py_FatalError ("unable to initialise memphis module");
}
